Skip to main content
GET
/
dvirs
/
{id}
Get a single DVIR by ID.
curl --request GET \
  --url https://api.samsara.com/dvirs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "authorSignature": {
    "signatoryUser": {
      "id": "938172"
    },
    "signedAtTime": "2020-01-27T07:06:25Z",
    "type": "driver"
  },
  "dvirSubmissionBeginTime": "2020-01-27T07:06:25Z",
  "dvirSubmissionTime": "2020-01-27T07:06:25Z",
  "id": "12345",
  "type": "mechanic",
  "updatedAtTime": "2020-01-27T07:06:25Z",
  "defectIds": [
    "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
    "25d6151e-29b5-453e-875a-7c5425332e09"
  ],
  "formattedAddress": "350 Rhode Island St Ste. 400S, San Francisco, CA 94103",
  "mechanicNotes": "Replaced headlight on passenger side.",
  "odometerMeters": 91823,
  "safetyStatus": "unsafe",
  "secondSignature": {
    "signatoryUser": {
      "id": "938172"
    },
    "signedAtTime": "2020-01-27T07:06:25Z",
    "type": "driver"
  },
  "thirdSignature": {
    "signatoryUser": {
      "id": "938172"
    },
    "signedAtTime": "2020-01-27T07:06:25Z",
    "type": "driver"
  },
  "trailer": {
    "externalIds": {},
    "id": "494123"
  },
  "vehicle": {
    "externalIds": {},
    "id": "494123"
  },
  "walkaroundPhotos": [
    {
      "createdAtTime": "2020-01-27T07:06:25Z",
      "name": "Name 1",
      "url": "https://s3.samsara.com/samsara-driver-media-upload/walkaround-photo-path"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Id of the DVIR.

Query Parameters

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

authorSignature
object
required

An author signature for DVIRs with a signed time.

dvirSubmissionBeginTime
string
required

Time when driver created DVIR. UTC timestamp in RFC 3339 format.

Example:

"2020-01-27T07:06:25Z"

dvirSubmissionTime
string
required

Time when driver submitted the DVIR. UTC timestamp in RFC 3339 format.

Example:

"2020-01-27T07:06:25Z"

id
string
required

The unique id of the DVIR

Example:

"12345"

type
enum<string>
required

Inspection type of the DVIR. Valid values: preTrip, postTrip, mechanic, unspecified

Available options:
preTrip,
postTrip,
mechanic,
unspecified
Example:

"mechanic"

updatedAtTime
string
required

Time of any DVIR updates. UTC timestamp in RFC 3339 format.

Example:

"2020-01-27T07:06:25Z"

defectIds
string[]

IDs of defects registered for the DVIR.

Example:
[
"8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"25d6151e-29b5-453e-875a-7c5425332e09"
]
formattedAddress
string
Example:

"350 Rhode Island St Ste. 400S, San Francisco, CA 94103"

mechanicNotes
string

The mechanics notes on the DVIR.

Example:

"Replaced headlight on passenger side."

odometerMeters
integer<int64>

The odometer reading in meters.

Example:

91823

safetyStatus
enum<string>

The condition of vehicle on which DVIR was done. Valid values: unknown, safe, unsafe, resolved

Available options:
unknown,
safe,
unsafe,
resolved
Example:

"unsafe"

secondSignature
object

An author signature for DVIRs with a signed time.

thirdSignature
object

An author signature for DVIRs with a signed time.

trailer
object

A trailer object

vehicle
object

A vehicle object

walkaroundPhotos
object[]

List of walkaround photos